#!/bin/sh
# Careful with this.. assumes working directory at root of repository.
# and so on.. This is definitely not part of the course material itself..
mkdir VEDOKSET
mkdir VEDOKSET/en
mkdir VEDOKSET/demovedokset

# "Language versions": Finnish and English

python tools_for_authors/language_versions.py \
       osaamistavoitteet.txt \
       VEDOKSET/osaamistavoitteet_fi.txt VEDOKSET/learning_objectives.txt \
    && rst2html VEDOKSET/osaamistavoitteet_fi.txt > VEDOKSET/osaamistavoitteet.html \
    && rst2html VEDOKSET/learning_objectives.txt > VEDOKSET/en/learning_objectives.html \
    && rst2html en/english_option.rst > VEDOKSET/en/index.html

# HTML versions directly from ReST:

DEMODIR=2015/demot/tim/
DESTDIR=VEDOKSET/demovedokset
DESTI=$DESTDIR/index.html
echo "<html><head><meta charset=\"UTF-8\"></head><body><p>" > $DESTI
echo "Demojärjestelmä, jossa on palautuslokerot, on piilotettu" >> $DESTI
echo "ulkomaailmalta, jotta vältytään ulkopuolisilta häiriköiltä." >> $DESTI
echo "VPN-ohjelmat voi joskus olla hankalia, joten tehdään tänne myös" >> $DESTI
echo "vedos demojen teksteistä ulkoverkkoon. Lopulliset palautukset kuitenkin täytyy tehdä suljetussa järjestelmässämme. Viimeisin HTML-dumppi on " >> $DESTI
echo "tehty seuraavasta versiosta: <br />" >> $DESTI
LC_ALL=fi_FI.utf8 date >> $DESTI
echo "($(git log . | head -1)).<br />" >> $DESTI
echo "Uusin versio luentomateriaalista löytyy aina reposta " >> $DESTI
echo "<a href=\"https://yousource.it.jyu.fi/itka203-kurssimateriaalikehitys/itka203-kurssimateriaali-avoin\"> https://yousource.it.jyu.fi/itka203-kurssimateriaalikehitys/itka203-kurssimateriaali-avoin </a><br /><br />" >> $DESTI
echo "Tässä raaka vedos repositorion demokansiosta: <br /><br />" >> $DESTI

for f in `find $DEMODIR -name "*.rst" | sort`;
do
    destname=`basename $f .rst`.html
    rst2html $f > $DESTDIR/$destname
    echo "<a href=\"$destname\"> $destname </a> <br />" >> $DESTDIR/index.html
done
echo "</p></body></html>" >> $DESTDIR/index.html
